﻿Imports Infragistics.UltraChart.Shared.Styles
Imports Infragistics.UltraChart.Resources.Appearance
Imports Infragistics.UltraChart.Core.Layers

Public Class Form1

    Private seriesWeight As NumericTimeSeries
    Private seriesHeight As NumericTimeSeries
    Private seriesTemp As NumericTimeSeries

    Private Sub Form1_Load(sender As Object, e As EventArgs) Handles Me.Load
        BindChart()
    End Sub

    Private Sub BindChart()
        UltraChart1.ChartType = ChartType.Composite
        Dim area As New ChartArea()
        UltraChart1.CompositeChart.ChartAreas.Add(area)

        'Temp
        Dim axisY = New AxisItem()
        'axisY.Extent = 20
        axisY.RangeMin = 30
        axisY.RangeMax = 50
        axisY.DataType = AxisDataType.Numeric
        axisY.Labels.ItemFormatString = "<DATA_VALUE:##.##>"
        axisY.OrientationType = AxisNumber.Y_Axis
        area.Axes.Add(axisY)


        'Height
        Dim axisYa As New AxisItem()
        axisYa.Extent = 20
        axisYa.RangeMin = 100
        axisYa.RangeMax = 250
        axisYa.DataType = AxisDataType.Numeric
        axisYa.Labels.ItemFormatString = "<DATA_VALUE:##.##>"
        axisYa.OrientationType = AxisNumber.Y_Axis
        area.Axes.Add(axisYa)


        'Weight
        'Dim axisY2 As New AxisItem()
        'axisY2.Extent = 50
        ''axisY2.RangeMin = 35
        ''axisY2.RangeMax = 45
        'axisY2.DataType = AxisDataType.Numeric
        'axisY2.Labels.ItemFormatString = "<DATA_VALUE:##.##>"
        'axisY2.OrientationType = AxisNumber.Y2_Axis
        'area.Axes.Add(axisY2)


        Dim axisX = New AxisItem()
        axisX.Labels.Orientation = TextOrientation.VerticalLeftFacing
        axisX.DataType = AxisDataType.String
        axisX.Labels.ItemFormat = AxisItemLabelFormat.ItemLabel
        axisX.OrientationType = AxisNumber.X_Axis
        axisX.Labels.VerticalAlign = StringAlignment.Far
        axisX.Labels.Orientation = TextOrientation.Horizontal
        axisX.SetLabelAxisType = SetLabelAxisType.ContinuousData
        area.Axes.Add(axisX)

        Dim myColumnLayer = New ChartLayerAppearance()
        myColumnLayer.ChartType = ChartType.LineChart
        myColumnLayer.ChartArea = area

        Dim myColumnLayer2 As New ChartLayerAppearance()
        myColumnLayer2.ChartType = ChartType.LineChart
        myColumnLayer2.ChartArea = area

        Dim myColumnLayer3 As New ChartLayerAppearance()
        myColumnLayer3.ChartType = ChartType.LineChart
        myColumnLayer3.ChartArea = area


        seriesWeight = New NumericTimeSeries()
        seriesWeight.Label = "Weight"
        seriesWeight.PEs.Add(New PaintElement(Color.BlueViolet))


        seriesHeight = New NumericTimeSeries()
        seriesHeight.Label = "Height"
        seriesHeight.PEs.Add(New PaintElement(Color.Blue))


        seriesTemp = New NumericTimeSeries()
        seriesTemp.Label = "Temp"
        seriesTemp.PEs.Add(New PaintElement(Color.Crimson))


        seriesTemp.Points.Add(New NumericTimeDataPoint(DateTime.Today, 40.0, DateTime.Today, False))
        seriesTemp.Points.Add(New NumericTimeDataPoint(DateTime.Today.AddDays(1), 38.2, DateTime.Today.AddDays(1), False))
        seriesTemp.Points.Add(New NumericTimeDataPoint(DateTime.Today.AddDays(2), 45.2, DateTime.Today.AddDays(2), False))
        seriesHeight.Points.Add(New NumericTimeDataPoint(DateTime.Today, 180, DateTime.Today, False))
        seriesHeight.Points.Add(New NumericTimeDataPoint(DateTime.Today.AddDays(1), 170, DateTime.Today.AddDays(1), False))
        seriesHeight.Points.Add(New NumericTimeDataPoint(DateTime.Today.AddDays(2), 175, DateTime.Today.AddDays(2), False))
        seriesWeight.Points.Add(New NumericTimeDataPoint(DateTime.Today, 51.0, DateTime.Today, False))
        seriesWeight.Points.Add(New NumericTimeDataPoint(DateTime.Today.AddDays(1), 51.0, DateTime.Today.AddDays(1), False))
        seriesWeight.Points.Add(New NumericTimeDataPoint(DateTime.Today.AddDays(2), 51.0, DateTime.Today.AddDays(2), False))

        myColumnLayer.Series.Add(seriesTemp)
        UltraChart1.CompositeChart.Series.Add(seriesTemp)
        myColumnLayer.AxisX = axisX
        myColumnLayer.AxisY = axisY
        UltraChart1.CompositeChart.ChartLayers.Add(myColumnLayer)

        myColumnLayer2.Series.Add(seriesHeight)
        UltraChart1.CompositeChart.Series.Add(seriesHeight)
        myColumnLayer2.AxisX = axisX
        myColumnLayer2.AxisY = axisYa
        UltraChart1.CompositeChart.ChartLayers.Add(myColumnLayer2)

        'myColumnLayer3.Series.Add(seriesWeight)
        'UltraChart1.CompositeChart.Series.Add(seriesWeight)
        'myColumnLayer3.AxisX = axisX
        'myColumnLayer2.AxisY = axisY2
        'UltraChart1.CompositeChart.ChartLayers.Add(myColumnLayer3)

    End Sub

End Class
